#include "encoding_context.hh"


void encoding_context::reset() {
  _basic_header    = 0xff;
  _next_header     = 0xff;
  _header_type     = 0xff;
  _length_position = -1;
  _length          = -1;
}

unsigned char encoding_context::get_basic_header() { return _basic_header; };
void          encoding_context::set_basic_header(const unsigned char p_basic_header) { _basic_header = p_basic_header; };
unsigned char encoding_context::get_next_header() { return _next_header; };
void          encoding_context::set_next_header(const unsigned char p_next_header) { _next_header = p_next_header; };
unsigned char encoding_context::get_header_type() { return _header_type; };
void          encoding_context::set_header_type(const unsigned char p_header_type) { _header_type = p_header_type; };
unsigned int  encoding_context::get_length_position() { return _length_position; };
void          encoding_context::set_length_position(const unsigned int p_length_position) { _length_position = p_length_position; };
unsigned int  encoding_context::get_length() { return _length; };
void          encoding_context::set_length(const unsigned int p_length) { _length = p_length; };
