#!/bin/bash
set -exo pipefail

cd "$(dirname ${BASH_SOURCE})"

PRJ=TS.ITS_r2
docker run --rm -it \
        -w $HOME/dev/$PRJ \
        -e GEN_DIR=$HOME/dev/$PRJ \
        -e ATS=$ATS \
        -u "$(id -u):$(id -g)" \
        -v "${PWD}/../..:$HOME/dev/$PRJ" \
        --mount type=bind,source=$HOME/var,target=/home/etsi/var,readonly \
        --entrypoint $HOME/dev/$PRJ/virtualization/docker/docker-entrypoint.sh \
        alpine-its:latest "$@"

#        -p 0.0.0.0:30181:30181 \
#        -p 0.0.0.0:8000-8900:8000-8900 \
#        -p 0.0.0.0:80:80 \
#        -p 0.0.0.0:443:443 \
