#pragma once

#include "codec_gen.hh"
#include "params.hh"

#include "etsi_ts103097_data_codec.hh"

#include "params.hh"

namespace LibHttp__BinaryMessageBodyTypes {
  class BfkZipFile;
}

class http_etsi_ieee1609dot2dot1_codec : public codec_gen<LibHttp__BinaryMessageBodyTypes::BfkZipFile, LibHttp__BinaryMessageBodyTypes::BfkZipFile> {
  etsi_ts103097_data_codec _codec;

public:
  explicit http_etsi_ieee1609dot2dot1_codec() : codec_gen<LibHttp__BinaryMessageBodyTypes::BfkZipFile, LibHttp__BinaryMessageBodyTypes::BfkZipFile>(), _codec() {};
  virtual ~http_etsi_ieee1609dot2dot1_codec(){};

  virtual int encode(const LibHttp__BinaryMessageBodyTypes::BfkZipFile &p_bfk_zip_file, OCTETSTRING &p_data) { return -1; };
  virtual int decode(const OCTETSTRING &p_data, LibHttp__BinaryMessageBodyTypes::BfkZipFile &p_bfk_zip_file, params *p_params = NULL);
};
